Crypto++ 8.1 Free C++ class library of cryptographic schemes

List of all members
Threefish1024::Dec Class Reference

Encryption transformation. More...

Inheritance diagram for Threefish1024::Dec:

## Additional Inherited Members
Public Types inherited from Threefish_Base< 128 >
typedef SecBlock< word64, AllocatorWithCleanup< word64, true > > | AlignedSecBlock64
Public Member Functions inherited from Threefish_Base< 128 >
void | SetTweak (const NameValuePairs &params)
Public Member Functions inherited from BlockCipherImpl< Threefish_Info< 128 > >
unsigned int | BlockSize () const
| Provides the block size of the algorithm. More...
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, Threefish_Info< 128 > > > >
std::string | AlgorithmName () const
| The algorithm name. More...
Public Member Functions inherited from SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, Threefish_Info< 128 > > >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm. More...
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm. More...
size_t | DefaultKeyLength () const
| The default key length used by the algorithm. More...
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm. More...
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm. More...
unsigned int | IVSize () const
| The initialization vector length for the algorithm. More...
Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BlockCipher, Threefish_Info< 128 > > > >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...
Public Attributes inherited from Threefish_Base< 128 >
AlignedSecBlock64 | m_wspace
AlignedSecBlock64 | m_rkey
AlignedSecBlock64 | m_tweak

## Detailed Description

Encryption transformation.

Dec provides implementation for decryption transformation. All key and block sizes are supported.

Since
  Crypto++ 6.0

Definition at line 186 of file threefish.h.

The documentation for this class was generated from the following files:

- threefish.h
- threefish.cpp